Subject: Re: [PATCH v5 0/3] Add patatt and update b4

From: Kyle Meyer <[email-masked]>
Date: Sat, 18 Dec 2021 15:20:48 -0500

Xinglu Chen writes:

> Both packages build fine for me; b4 works as expected;

Thanks for testing.

> I haven’t gotten around to setup patatt yet, but ‘patatt --help’ works
> fine.

I haven't tested the sender's side of things (e.g., running `patatt
sign'), but I've tried out the receiving end:

  * move into a clone of the patatt repo in order to make uses of its
    existing .keys/ subdirectory

  * pull in a message from https://lore.kernel.org for one of these keys

One example:

--8<---------------cut here---------------start------------->8---
$ tree --charset=ascii .keys/openpgp
.keys/openpgp
|-- chromium.org
|   `-- keescook
|       `-- default
`-- linuxfoundation.org
    `-- konstantin
        `-- default

4 directories, 2 files

$ b4 am [email-masked]
Looking up https://lore.kernel.org/r/20211215232432.2069605-1-keescook%40chromium.org
Grabbing thread from lore.kernel.org/all/20211215232432.2069605-1-keescook%40chromium.org/t.mbox.gz
Analyzing 3 messages in the thread
Checking attestation on all messages, may take a moment...
---
  ✓ [PATCH] iommu: Use correctly sized arguments for bit field
    + Acked-by: Yury Norov <[email-masked]> (✓ DKIM/gmail.com)
  ---
  ✓ Signed: openpgp/[email-masked]
  ✓ Signed: DKIM/chromium.org
---
Total patches: 1
---
 Link: https://lore.kernel.org/r/[email-masked]
 Base: not specified
       git am ./20211215_keescook_iommu_use_correctly_sized_arguments_for_bit_field.mbx
--8<---------------cut here---------------end--------------->8---

If the same `b4 am' command is invoked without those keys in place, I
instead see

  ✗ No key: openpgp/[email-masked]
  ✓ Signed: DKIM/chromium.org

So, things seem to be wired up okay.  (The `b4 --debug am' output for
the same command looks okay too.)

> I also took the opportunity to test the ‘guix review’ command that
> I have started to work on.  :-)

Neat, thanks for the sneak peek.